org.duckdb

## Class DuckDBDatabase

- java.lang.Object
- - org.duckdb.DuckDBDatabase

    public class DuckDBDatabase
    extends java.lang.Object

### Field Summary

Fields
`protected java.nio.ByteBuffer` `db_ref`
`protected boolean` `read_only`
`protected java.lang.String` `url`

### Constructor Summary

Constructors
Constructor and Description
`DuckDBDatabase(java.lang.String url, boolean read_only)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `finalize()`
`void` `shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### url

    protected java.lang.String url

#### read_only

    protected boolean read_only

#### db_ref

    protected java.nio.ByteBuffer db_ref

### Constructor Detail

#### DuckDBDatabase

    public DuckDBDatabase(java.lang.String url,
                          boolean read_only)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### shutdown

    public void shutdown()

#### finalize

    protected void finalize()
                     throws java.lang.Throwable

Overrides:
  `finalize` in class `java.lang.Object`
Throws:
  `java.lang.Throwable`